﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UOMEditorSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			Array values = Enum.GetValues(typeof(UOMEditorSample.UOMEditor.MeasureSystemType));
			comboBox1.DataSource = values;
			SetMinValue();
			SetMaxValue();
			SetInnerValue();
		}

		private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
		{
			this.uomEditor1.MeasureSystem = (UOMEditorSample.UOMEditor.MeasureSystemType)comboBox1.SelectedValue;
		}

		private void minValueEditor_ValueChanged(object sender, EventArgs e)
		{
			SetMinValue();
		}

		private void SetMinValue()
		{
			uomEditor1.MinValue = minValueEditor.Value;
		}

		private void maxValueEditor_ValueChanged(object sender, EventArgs e)
		{
			SetMaxValue();
		}

		private void SetMaxValue()
		{
			uomEditor1.MaxValue = maxValueEditor.Value;
		}

		private void uomEditor1_ValueChanged(object sender, EventArgs e)
		{
			SetInnerValue();
		}

		private void SetInnerValue()
		{
			this.lblInternalValue.Text = this.uomEditor1.Value.ToString();
		}
	}
}
